> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendor category by ID

> Gets a system or custom vendor category by ID.



## OpenAPI

````yaml /reference/manage-vanta.json get /vendor-categories/{categoryId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /vendor-categories/{categoryId}:
    get:
      tags:
        - Vendor Categories
      summary: Get vendor category by ID
      description: Gets a system or custom vendor category by ID.
      operationId: GetVendorCategoryById
      parameters:
        - in: path
          name: categoryId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorCategory'
              examples:
                Example 1:
                  value:
                    id: 6696ea0595df50d5cd6ec3b8
                    label: Payroll
                    description: Payroll and benefits providers.
                    isSystem: false
      security:
        - bearerAuth: []
components:
  schemas:
    VendorCategory:
      properties:
        id:
          type: string
          description: Unique identifier for the vendor category.
        label:
          type: string
          description: Display label of the vendor category.
        description:
          type: string
          nullable: true
          description: Description of the vendor category, if set.
        isSystem:
          type: boolean
          description: Whether the category is provided by Vanta and cannot be changed.
      required:
        - id
        - label
        - description
        - isSystem
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Get vendor by ID](https://developer.vanta.com/api-reference/vendors/get-vendor-by-id.md)
- [List vendor categories](https://developer.vanta.com/api-reference/vendor-categories/list-vendor-categories.md)
- [Delete vendor category](https://developer.vanta.com/api-reference/vendor-categories/delete-vendor-category.md)
- [Update vendor category](https://developer.vanta.com/api-reference/vendor-categories/update-vendor-category.md)
- [Create vendor category](https://developer.vanta.com/api-reference/vendor-categories/create-vendor-category.md)
